Skip to main content
`Ctrl`+`K`

# scipy.linalg.blas.cswap

scipy.linalg.blas.cswap(x, y[, n, offx, incx, offy, incy]) = <fortran function cswap>

  Wrapper for `cswap`.

  Parameters:
    x input rank-1 array(‘F’) with bounds (*)
    y input rank-1 array(‘F’) with bounds (*)
  Returns:
    x rank-1 array(‘F’) with bounds (*)
    y rank-1 array(‘F’) with bounds (*)
  Other Parameters:
    n input int, optional

      Default: (len(x)-offx)/abs(incx)

    offx input int, optional

      Default: 0

    incx input int, optional

      Default: 1

    offy input int, optional

      Default: 0

    incy input int, optional

      Default: 1